Subject: Re: gitk: "lime" color incompatible with older Tk versions

From: David Aguilar <[email-masked]>
Date: Fri, 13 Jan 2017 03:20:43 -0800

On Mon, May 02, 2016 at 09:20:43AM -0700, Stefan Beller wrote:
> + Paul Mackerras, who maintains gitk
> 
> On Sun, May 1, 2016 at 10:03 AM, Andrew Janke <[email-masked]> wrote:
> > Hi, git folks,
> >
> > I'm having trouble running gitk on Mac OS X 10.9.5. The gitk program uses
> > the color "lime", which is not present in older versions of Tk, apparently
> > including the Tk 8.5 which ships with 10.9.

Ping.. it would be nice to get this patch applied.
I can verify that gitk on Mac OS X 10.11 also has this problem.
gitk is usually pretty good about backwards-compatibility.

> > This compatibility problem was noted before back in 2012, in
> > http://www.mail-archive.com/git%40vger.kernel.org/msg14496.html.
> >
> > Would you consider switching from lime to a hex value color, for
> > compatibility with users of older versions of Tk? A patch to do so is below;
> > only the file gitk-git/gitk needs to be changed.

I can recreate and resend this patch if needed; it's simply:
:%s/lime/"#99FF00"/g

Would a re-roll of this patch be accepted, or is it not worth
bothering?

Google for "gitk lime" to get a taste for some of the fallout
caused by this problem.

The fact that multiple pages, with different OS's, have examples
of users stumbling over this change is a good hint that it's
worth fixing.

Thoughts?
-- 
David